; @author Sylwester Arabas <slayoo@igf.fuw.edu.pl>

pro IGFLibFastFSSPData::setDataSourceMETEOFranceTextFile, filename
  compile_opt idl2, strictarr

  self.source = ptr_new(obj_new("IGFLibFastFSSPDataFile", filename));
  time = strmid(file_basename(filename), 12, 6);
  reads, strmid(time, 0, 2), hh;
  reads, strmid(time, 2, 2), mm;
  reads, strmid(time, 4, 2), ss; 
  ; TODO: it is not a basetime in numbus meaning - it is daytime
  self.basetime = hh * 3600L + mm * 60L + ss;

  for i=0, n_elements(self.curr_hist)-1 do begin
    self.curr_hist[i] = ptr_new(obj_new("IGFLibHistogram", 20));
    (*(self.curr_hist[i]))->setUnit, "micrometers";
    (*(self.curr_hist[i]))->setQuantity, "droplet diameter";
  endfor

end
