; @author Sylwester Arabas <slayoo@igf.fuw.edu.pl>

function IGFLibFastFSSPDataFile::getColumnLabel, argnum
  compile_opt idl2, strictarr
  @igflib.inc

  ; FORMAT.H uses 1 -- 45 numbering, here 0 -- 44 is valid
  num = argnum - 1

  ; read labels from FORMAT.H if needed
  if not ptr_valid(self.labels) then begin

    self.labels = ptr_new(strarr(45))

    filename = (*((*self.flight)->getCampaign()))->getDataDir() + IGFLIB_PATHSEP + "FORMAT.H"
    get_lun, unit
    openr, unit, filename
    line = ''
  
    i = 0
    label = ''
    while not eof(unit) do begin
      readf, unit, format='(%"%s")', line 
      if (strmid(line, 0, 5) eq ' var(') then begin
        reads, strmid(line, 5, 9), format='(I)', i
        reads, strmid(line, 10), format='(A)', label
        (*self.labels)[i-1] = label
      endif
    endwhile

    free_lun, unit
  endif
 
  return, (*self.labels)[num]
end

