; @author Sylwester Arabas <slayoo@igf.fuw.edu.pl>

pro IGFLibFSSP100Data::focusOnTime, time
  compile_opt idl2, strictarr

  print, "Focusing FSSP-100 on time ", time

; TODO: optimize :)
  values = dblarr(10, 31, 4, /nozero);
  tmp = dblarr(31, 10, /nozero);
  for v=0L, 3 do begin
    tmp = (*(self.source))->var_getSlab("CS100_LPC", Time=time-self->getBaseTime()+v-2);
    for s=0L, 9 do for r=0L, 30 do begin
      values[s,r,v] = tmp[r,s]
    endfor
  endfor

  ; TODO: optimize 10*v+s
  for v=0, 3 do begin
    ctrl = (*(self.source))->var_getSlab("PLWCF_LPC", Time=time-self->getBaseTime()+v-2);
    for s=0, 9 do begin
      (*(self.curr_hist[10 * v + s]))->flush;
      for i=0, (*(self.curr_hist[10 * v + s]))->getNumBins()-1 do begin  
        (*(self.curr_hist[10 * v + s]))->addBin, $
          (*(self.cell_sizes))[self.first_bin + i - 1], $
          (*(self.cell_sizes))[self.first_bin + i + 0], $
          values[s, self.first_bin + i, v]; 
        self->setControllVar, ctrl[s], 10 * v + s;
      endfor
      (*(self.curr_hist[10 * v + s]))->commit;
    endfor
  endfor

  self.curr_time = time;
end
