; @author Sylwester Arabas <slayoo@igf.fuw.edu.pl>

function IGFLibHistogram::getInterpolatedValue, xvals
  compile_opt idl2, strictarr

  if (self.bin_num lt 2) then return, replicate(0., n_elements(xvals));

  xvalues = *(self.bin_left_x_values) + .5 * (*(self.bin_x_lengths));
  ;yvals = spline(xvalues, *(self.bin_y_values), xvals)
  yvals = interpolate(*(self.bin_y_values), findex(xvalues, xvals), missing=0);
  return, yvals

end
