; @author Sylwester Arabas <slayoo@igf.fuw.edu.pl>

pro IGFLibHistogram::show, oplot = op, _extra = plotarg
  compile_opt idl2, strictarr

  x = dblarr(4 * self.bin_num)
  y = dblarr(4 * self.bin_num)
 
  for i=0, self.bin_num-1 do begin
    x[i*4+0] = (*(self.bin_left_x_values))[i];
    x[i*4+1] = (*(self.bin_left_x_values))[i]; 
    x[i*4+2] = (*(self.bin_right_x_values))[i]; 
    x[i*4+3] = (*(self.bin_right_x_values))[i]; 

    y[i*4+0] = 0;
    y[i*4+1] = (*(self.bin_y_values))[i];
    y[i*4+2] = (*(self.bin_y_values))[i];
    y[i*4+3] = 0;
  endfor
 
  if keyword_set(op) then oplot, x, y, _extra = plotarg $
  else plot, x, y, xtitle = self.quantity + " [" + self.unit + "]", _extra = plotarg

end
